daemonize = false

admins = { "@@ADMIN_USER@@@@@DOMAIN@@" }

modules_enabled = {
		"roster";
		"saslauth";
		"tls";
		"dialback";
		"disco";
		"carbons";
		"pep";
		"private";
		"blocklist";
		"vcard";
		"version";
		"uptime";
		"time";
		"ping";
		"mam";
        "adhoc";
		"admin_adhoc";
		--"bosh";
		--"websocket";
}

modules_disabled = {
	"posix";
}

c2s_require_encryption = true
s2s_require_encryption = true

authentication = "ldap"
ldap_server = "@@LDAP_SERVER@@"
ldap_base = "@@LDAP_BASE@@"
ldap_rootdn = "@@LDAP_USER@@"
ldap_password = "@@LDAP_PASSWORD@@"
ldap_tls = true

archive_expires_after = "never"

log = {
	warn = "*console";
}

certificates = "fixed-certs"

http_ports = { 5280 }
https_ports = {  }

-- VirtualHosts

VirtualHost "@@DOMAIN@@"

Component "muc.@@DOMAIN@@" "muc"

Component "jabber.@@DOMAIN@@" "http_upload"
    http_external_url = "https://jabber.@@DOMAIN@@/"
    http_upload_file_size_limit = 10485760 -- 10 MiB
